<?php

$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_SOLICITACOES == 1 or $Permissoes->FUN_TBL_RELATORIO_PENDENCIAS == 1) {

    class EspecificacaoFuncionalCasosTesteController extends GxController {

        var $help = 'Esta é a ajuda';

        public function actionView($id) {
            $this->render('view', array(
                'model' => $this->loadModel($id, 'EspecificacaoFuncionalCasosTeste'),
            ));
        }

        public function actionCreate() {
            $model = new EspecificacaoFuncionalCasosTeste;


            if (isset($_POST['EspecificacaoFuncionalCasosTeste'])) {
                $model->setAttributes($_POST['EspecificacaoFuncionalCasosTeste']);

                if ($model->save()) {
                    if (Yii::app()->getRequest()->getIsAjaxRequest())
                        Yii::app()->end();
                    else
                        $this->redirect(array('view', 'id' => $model->EFC_CODIGO));
                }
            }

            $this->render('create', array('model' => $model));
        }

        public function actionUpdate($id) {
            $model = $this->loadModel($id, 'EspecificacaoFuncionalCasosTeste');


            if (isset($_POST['EspecificacaoFuncionalCasosTeste'])) {
                $model->setAttributes($_POST['EspecificacaoFuncionalCasosTeste']);

                if ($model->save()) {
                    $this->redirect(array('view', 'id' => $model->EFC_CODIGO));
                }
            }

            $this->render('update', array(
                'model' => $model,
            ));
        }

        public function actionDelete($id) {
            if (Yii::app()->getRequest()->getIsPostRequest()) {
                $this->loadModel($id, 'EspecificacaoFuncionalCasosTeste')->delete();

                if (!Yii::app()->getRequest()->getIsAjaxRequest())
                    $this->redirect(array('admin'));
            } else
                throw new CHttpException(400, 'Sua solicitação é inválida.');
        }

        public function actionAdmin() {
            $model = new EspecificacaoFuncionalCasosTeste('search');
            $model->unsetAttributes();

            if (isset($_GET['EspecificacaoFuncionalCasosTeste']))
                $model->setAttributes($_GET['EspecificacaoFuncionalCasosTeste']);

            $this->render('admin', array(
                'model' => $model,
            ));
        }

        public function actionForm() {
            $this->layout = 'NULL';
            $Teste = new EspecificacaoFuncionalCasosTeste();
            $this->render('form', array('Teste' => $Teste));
        }

    }

}